Subject: Re: Like-unix tree directories
From: [email-masked] (Earnie Boyd)

18 Jul 1998 15:07:03 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]
Cc: gw32 <[email-masked]>

Hi Dominique,

This is an interesting subject.  The delima is that the non-cygwin
executables don't know about the mounted directory structure.  Yes,
you could use the cygwin mount table to do what your suggesting. 
However, you are likely to run into the problem of the non-cygwin
programs complaining about "file not found".

To do as you've suggested:

bash$: mount -b //d/Cygnus/B19/H-i386-cygwin32/bin /bin
bash$: mount -b //d/Cygnus/B19/H-i386-cygwin32/bin /usr/bin
bash$: mount -b //c/texmf/MiKTeX/bin /usr/local/bin

As an alternative that will help with the delima I'll suggest that you:

mkdir c:\bin
mkdir c:\usr\bin
mkdir c:\usr\local\bin

put bash.exe, sh.exe and cygwinb19.dll in c:\bin
put the rest of the cygwin executables in c:\usr\bin
and then put your MikTex in c:\usr\local\bin

You could leave the rest of cygwin alone or move the include directory
to
c:\usr\include and move the lib directory to c:\usr\lib.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

---CRETEL Dominique <[email-masked]> wrote:
>
> Hi all,
> 
> I'll try to be clear!
> 
> I'm using cygwin32 b19.1 and have installed it on my D: drive
> (D:\Cygnus\B19).
> 
> I use also a lot of packages like: egcs, gas, perl, python, miktex,
> autoconf, man, vim and so on.
> So, I have to install them somewhere in the windows tree.
> But, I'll have to add a lot of paths to my PATH variable environment.
> 
> I remember that in unix, you have a short PATH variable environment
> (like: PATH=/bin:/usr/bin:/usr/local/bin???).
> 
> So, I would like to build a unix-like tree files.
> 
> Under cygnus, It can be done for example by mounting device or
> directories to get something like unix tree files.
> 
> For example:
> D:\Cygnus\B19\H-i386-cygwin32 mount as /bin unix-like directories,
> C:\texmf\MiKTeX\bin mount as /usr/local/bin ???
> 
> Is it possible???
> How to to that???
> I know it's a big question.
> 
> Thanks for your suggestions,
> Dominique.
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".